> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Update a prepared push message > Update prepared push message.
Request body example:

{
"messageId" : 1
"name" : "test name",
"appId" : "1585031493269",
"selectionPlanId" : "768E488C-45C2-4A6F-800B-C569586F1DC5",
"content" : "This is iOS test push ",
"messageTitle" : "Hello",
"description" : "description",
"notificationSound" : "sound1.mp3",
"pushActionType" : "LAUNCH_APP",
"pushActionParams" : "www.test.com",
"buttonCategory" : "apx_read_open",
"buttonActionType" : "OPEN_LANDING_PAGE",
"buttonActionParams" : "https://www.google.com/",
"mediaType" : "IMAGE", - optional
"mediaUrl" : "https://staging11.shortest-route.com/qatest/imgproxy/img/110/5ac68ca5498a5.png",
"scheduledTime" : "2020-07-31T12:44:46.966Z",
"timeZone" : "Europe/Budapest"
"messagePriority" : "high"
}


Required parameters: messageId, name, appId, content, messageTitle

pushActionType enum values [LAUNCH_APP, OPEN_LANDING_PAGE, OPEN_DEEP_LINK, OPEN_STORE]
buttonCategory enum values [apx_yes_no_open, apx_acc_dec_open, apx_buy_open, apx_read_open]
buttonActionType enum values [LAUNCH_APP, OPEN_LANDING_PAGE, OPEN_DEEP_LINK, OPEN_STORE]
mediaType enum values [IMAGE, VIDEO]

IMPORTANT: messagePriority (optional) - Please note that this feature is not activated by default. Please contact your Customer Success Manager to request activation.
## OpenAPI ````json PUT /mobilePush/updatePushMessage { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/mobilePush/updatePushMessage": { "put": { "tags": [ "Mobile Push" ], "summary": "Update a prepared push message", "description": "Update prepared push message.
Request body example:

{
\"messageId\" : 1
\"name\" : \"test name\",
\"appId\" : \"1585031493269\",
\"selectionPlanId\" : \"768E488C-45C2-4A6F-800B-C569586F1DC5\",
\"content\" : \"This is iOS test push \",
\"messageTitle\" : \"Hello\",
\"description\" : \"description\",
\"notificationSound\" : \"sound1.mp3\",
\"pushActionType\" : \"LAUNCH_APP\",
\"pushActionParams\" : \"www.test.com\",
\"buttonCategory\" : \"apx_read_open\",
\"buttonActionType\" : \"OPEN_LANDING_PAGE\",
\"buttonActionParams\" : \"https://www.google.com/\",
\"mediaType\" : \"IMAGE\", - optional
\"mediaUrl\" : \"https://staging11.shortest-route.com/qatest/imgproxy/img/110/5ac68ca5498a5.png\",
\"scheduledTime\" : \"2020-07-31T12:44:46.966Z\",
\"timeZone\" : \"Europe/Budapest\"
\"messagePriority\" : \"high\"
}


Required parameters: messageId, name, appId, content, messageTitle

pushActionType enum values [LAUNCH_APP, OPEN_LANDING_PAGE, OPEN_DEEP_LINK, OPEN_STORE]
buttonCategory enum values [apx_yes_no_open, apx_acc_dec_open, apx_buy_open, apx_read_open]
buttonActionType enum values [LAUNCH_APP, OPEN_LANDING_PAGE, OPEN_DEEP_LINK, OPEN_STORE]
mediaType enum values [IMAGE, VIDEO]

IMPORTANT: messagePriority (optional) - Please note that this feature is not activated by default. Please contact your Customer Success Manager to request activation.
", "operationId": "updatePushMessage", "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/PushMessage" } } }, "x-bodyName": "body" }, "responses": { "200": { "description": "Example response:
{
\"messageId\": 1,
\"messageStatus\": \"SCHEDULED\"
}", "content": { "application/octet-stream": { "schema": { "$ref": "#/components/schemas/PushMessageResponse" } } } }, "400": { "description": "(PushCampaign with messageId= does not exist)", "content": { "application/octet-stream": {} } } } } } }, "components": { "schemas": { "PushMessage": { "type": "object", "properties": { "messageId": { "type": "integer", "format": "int64" }, "status": { "type": "string" }, "lastModified": { "type": "string" }, "owner": { "$ref": "#/components/schemas/Owner" }, "name": { "type": "string" }, "description": { "type": "string" }, "appId": { "type": "string" }, "selectionPlanId": { "type": "string" }, "content": { "type": "string" }, "messageTitle": { "type": "string" }, "notificationSound": { "type": "string" }, "pushActionType": { "enum": [ "DISMISS", "LAUNCH_APP", "OPEN_DEEP_LINK", "OPEN_LANDING_PAGE", "OPEN_STORE" ], "type": "string" }, "pushActionParams": { "type": "string" }, "buttonCategory": { "enum": [ "apx_acc_dec_open", "apx_buy_open", "apx_read_open", "apx_yes_no_open" ], "type": "string" }, "buttonActionType": { "enum": [ "DISMISS", "LAUNCH_APP", "OPEN_DEEP_LINK", "OPEN_LANDING_PAGE", "OPEN_STORE" ], "type": "string" }, "buttonActionParams": { "type": "string" }, "buttonLanguageCode": { "type": "string" }, "mediaType": { "enum": [ "GIF", "IMAGE", "MUSIC", "VIDEO" ], "type": "string" }, "mediaUrl": { "type": "string" }, "scheduledTime": { "type": "string" }, "timeZone": { "type": "string" }, "contentAvailable": { "type": "boolean", "default": false }, "silentType": { "type": "string" }, "silentData": { "type": "string" }, "customFields": { "type": "array", "items": { "$ref": "#/components/schemas/CustomField" } }, "messagePriority": { "type": "string" }, "archiveOnCompleted": { "type": "boolean", "default": false } } }, "PushMessageResponse": { "type": "object", "properties": { "messageId": { "type": "integer", "format": "int64" }, "messageStatus": { "type": "string" }, "errorMessage": { "type": "string" } } }, "Owner": { "type": "object", "properties": { "firstName": { "type": "string" }, "lastName": { "type": "string" }, "email": { "type": "string" } } }, "CustomField": { "type": "object", "properties": { "key": { "type": "string" }, "value": { "type": "string" } } } } } } ````